<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1141
Name: Oxygen Amount
Description: Oxygen Amount: Hoeveelheid zuurstof
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502">
   <title>Oxygen Amount</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1141
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]
Item: (OxygenAmount)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]"
         id="d20e12291-false-d37728e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]) &lt;= 1">(OxygenAmount): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1141
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]
Item: (OxygenAmount)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]"
         id="d20e12315-false-d37743e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(OxygenAmount): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="string(@moodCode) = ('EVN')">(OxygenAmount): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']) &gt;= 1">(OxygenAmount): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']) &lt;= 1">(OxygenAmount): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="count(hl7:code[(@code = '75999-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(OxygenAmount): element hl7:code[(@code = '75999-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="count(hl7:code[(@code = '75999-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(OxygenAmount): element hl7:code[(@code = '75999-3' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="count(hl7:value) &lt;= 1">(OxygenAmount): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1141
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']
Item: (OxygenAmount)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']"
         id="d20e12321-false-d37784e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OxygenAmount): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.1141')">(OxygenAmount): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1141' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1141
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]/hl7:code[(@code = '75999-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (OxygenAmount)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]/hl7:code[(@code = '75999-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e12326-false-d37799e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OxygenAmount): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="@nullFlavor or (@code='75999-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen gas delivered.total [Volume] in Reporting period from Gas delivery system' and @codeSystemName='LOINC')">(OxygenAmount): de elementwaarde MOET een zijn van 'code '75999-3' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen gas delivered.total [Volume] in Reporting period from Gas delivery system' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1141
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]/hl7:value
Item: (OxygenAmount)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1141']]/hl7:value"
         id="d20e12331-false-d37815e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OxygenAmount): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(OxygenAmount): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(OxygenAmount): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
