<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.418
Name: Ambulance Destination Time
Description: AmbulanceDestinationTime: Datum/tijd aankomst bestemming
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135">
   <title>Ambulance Destination Time</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.418
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]
Item: (AmbulanceDestinationTime)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]"
         id="d20e18936-false-d87930e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]) &gt;= 1">(AmbulanceDestinationTime): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]) &lt;= 1">(AmbulanceDestinationTime): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.418
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]
Item: (AmbulanceDestinationTime)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]"
         id="d20e18960-false-d87947e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(AmbulanceDestinationTime): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(AmbulanceDestinationTime): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']) &gt;= 1">(AmbulanceDestinationTime): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']) &lt;= 1">(AmbulanceDestinationTime): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:code[(@code = '405798008' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &gt;= 1">(AmbulanceDestinationTime): element hl7:code[(@code = '405798008' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:code[(@code = '405798008' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &lt;= 1">(AmbulanceDestinationTime): element hl7:code[(@code = '405798008' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="count(hl7:value) &lt;= 1">(AmbulanceDestinationTime): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.418
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']
Item: (AmbulanceDestinationTime)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']"
         id="d20e18966-false-d87988e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AmbulanceDestinationTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.418')">(AmbulanceDestinationTime): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.418' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.418
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]/hl7:code[(@code = '405798008' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (AmbulanceDestinationTime)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]/hl7:code[(@code = '405798008' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d20e18971-false-d88003e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AmbulanceDestinationTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="@nullFlavor or (@code='405798008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Time of arrival of emergency services (observable entity)' and @codeSystemName='SNOMED CT')">(AmbulanceDestinationTime): de elementwaarde MOET een zijn van 'code '405798008' codeSystem '2.16.840.1.113883.6.96' displayName='Time of arrival of emergency services (observable entity)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.418
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]/hl7:value
Item: (AmbulanceDestinationTime)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.418']]/hl7:value"
         id="d20e18976-false-d88019e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AmbulanceDestinationTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.html"
              test="not(*)">(AmbulanceDestinationTime): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
</pattern>
